<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<title>The Monitoring Interface</title>
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<link href="http://purl.org/dc/elements/1.1/" rel="schema.DC" />
<meta content="Martin Haase / DAASI International" name="DC.creator" />
<meta content="2009-07-22T16:29:08.37" name="DC.date" />
<link rel="stylesheet" href="../help.css" charset="utf-8"
	type="text/css" />
</head>

<body>
<h1 id="toc0">The Monitoring Interface</h1>
<P>As soon as the GWES is installed, it is possible to query a number
of things using its web interface. However, it must be made sure to
protect these pages from unauthorized use, e.g. by setting a
user/password combination in tomcat-users.xml, or by other means.
Then it is possible to find the interface at
http://host:port/gwes/servlet/GWESOverviewServlet. Here you can</P>
<UL>
	<LI><P>upload new workflow documents (in GridWorkflowDL format);</P></LI>
	<LI><P>get a list of all workflows currently in memory or database;</P></LI>
	<LI><P>see the details of a specific workflow with statistical and
	status information (warnings and errors that led to unsuccessful
	termination of the workflow will appear here);</P></LI>
	<LI><P>see a graph of the workflow, even animated when it is
	executing (c.f. figure 2 below)</P></LI>
	<LI><P>test if the GWES is alive and 
	</P></LI>
	<LI><P>get documentation.</P></LI>
</UL>
<P>Furthermore, there are the Tomcat logs where GWES will log its
messages, too. Depending on the settings in
webapps/gwes/WEB-INF/classes/log4j.properties (e.g. set
log4j.logger.net.kwfgrid.gwes.wsactivity to DEBUG for debug logging
of Web Service jobs) one can find useful debugging information when
something did not work as expected. See the file logs/catalina.out in
Tomcat's installation folder.</P>
<P><IMG SRC="petri_trans.png" NAME="Grafik2" ALIGN="BOTTOM" WIDTH="100%" BORDER="0"/></P>
<P>figure 2: graph of the workflow displayed by GWES' web
interface</P>


</body>
</html>